complexType "ElectricityPhysicalLeg"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 10 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | payerPartyReference, payerAccountReference?, receiverPartyReference, receiverAccountReference?, deliveryPeriods, settlementPeriods+, settlementPeriodsSchedule?, electricity, deliveryConditions, deliveryQuantity
</...>

Content Model Elements (10):

  deliveryConditions (in electricityPhysicalLeg), deliveryPeriods (in electricityPhysicalLeg), deliveryQuantity (in electricityPhysicalLeg), electricity, payerAccountReference, | payerPartyReference, receiverAccountReference, receiverPartyReference, settlementPeriods (in electricityPhysicalLeg), settlementPeriodsSchedule

All Direct / Indirect Based Elements (1):

  electricityPhysicalLeg

Known Usage Locations

- As direct type of elements (1):
  electricityPhysicalLeg

Annotation
Physically settled leg of a physically settled electricity transaction.
Type Definition Detail

Type Derivation Tree Leg (extension) PhysicalLeg (extension) ElectricityPhysicalLeg

XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="ElectricityPhysicalLeg"> <xsd:complexContent> <xsd:extension base="PhysicalLeg"> <xsd:sequence> <xsd:element name="deliveryPeriods" type="CommodityDeliveryPeriods"/> <xsd:element maxOccurs="unbounded" name="settlementPeriods" type="SettlementPeriods"/> <xsd:element minOccurs="0" name="settlementPeriodsSchedule" type="SettlementPeriodsSchedule"/> <xsd:element name="electricity" type="ElectricityProduct"/> <xsd:element name="deliveryConditions" type="ElectricityDelivery"/> <xsd:element name="deliveryQuantity" type="ElectricityPhysicalQuantity"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 6/10)
deliveryConditions

  Type: | ElectricityDelivery, complex content

  The physical delivery conditions for the transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="deliveryConditions" type="ElectricityDelivery"/>

deliveryPeriods

  Type: | CommodityDeliveryPeriods, complex content

  The different options for specifying the Delivery or Supply Periods. Unless the quantity or price is to vary periodically during the trade or physical delivery occurs on a periodic basis, periodsSchedule should be used and set to 1T.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="deliveryPeriods" type="CommodityDeliveryPeriods"/>

deliveryQuantity

  Type: | ElectricityPhysicalQuantity, complex content

  The different options for specifying the quantity.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="deliveryQuantity" type="ElectricityPhysicalQuantity"/>

electricity

  Type: | ElectricityProduct, complex content

  The specification of the electricity to be delivered.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="electricity" type="ElectricityProduct"/>

settlementPeriods

  Type: | SettlementPeriods, complex content

  The specification of the Settlement Periods in which the electricity will be delivered. The Settlement Periods will apply from and including the Effective Date up to and including the Termination Date. If more than one settlementPeriods element is present this indicates multiple ranges of Settlement Periods apply to the entire trade - for example off-peak weekdays and all day weekends. Settlement Period ranges should not overlap.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="settlementPeriods" type="SettlementPeriods"/>

settlementPeriodsSchedule

  Type: | SettlementPeriodsSchedule, complex content

  The specification of the Settlement Periods in which the electricity will be delivered for a "shaped" trade i.e. where different Settlement Period ranges will apply to different periods of the trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="settlementPeriodsSchedule" type="SettlementPeriodsSchedule"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.